Appearance
Find all supplier pricelists
GET
/v1/api/supplier-pricelist
Authorizations
x-webhook-signature
Type
API Key (header: x-webhook-signature)
Parameters
Query Parameters
page
Page number to retrieve.If you provide invalid value the default page number will applied
Example: 1
Default Value: 1
Type
number
limit
Number of records per page.
Example: 20
Default Value: 20
Max Value: 100
If provided value is greater than max value, max value will be applied.
Type
number
filter.scope
Filter by scope query param.
Format: filter.scope={$not}:OPERATION:VALUE
Example: filter.scope=$not:$like:John Doe&filter.scope=like:John
Available Operations
- $eq
- $not
Type
array
filter.status
Filter by status query param.
Format: filter.status={$not}:OPERATION:VALUE
Example: filter.status=$not:$like:John Doe&filter.status=like:John
Available Operations
- $eq
Type
array
filter.currencyCode
Filter by currencyCode query param.
Format: filter.currencyCode={$not}:OPERATION:VALUE
Example: filter.currencyCode=$not:$like:John Doe&filter.currencyCode=like:John
Available Operations
- $eq
Type
array
sortBy
Parameter to sort by.
To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting
Format: fieldName:DIRECTION
Example: sortBy=id:DESC&sortBy=createdAt:ASC
Default Value: id:DESC
Available Fields
- id
- name
Type
array
Responses
application/json
JSON "data": [ { } ], "meta": { "itemsPerPage": 0, "totalItems": 0, "currentPage": 0, "totalPages": 0, "sortBy": [ [ ] ], "searchBy": [ "string" ], "search": "string", "select": [ "string" ], "filter": { } }, "links": { "first": "string", "previous": "string", "current": "string", "next": "string", "last": "string" }
{
}